@import 'variables';
@import 'colors';
@import 'placeholders/placeholders';
//actual css content starts here
@import 'reset';
@import 'typography';


html {
	background-color: $bg_color;
	color: $fg_color;
	font-family: $base_fonts;
	line-height: $line-height;
	font-size: $base-font-size;
	height: 100%;
	@media screen and (min-width: $desk-width)
		{
			font-size: $base-font-size + 2;
		}
	@media screen and (min-width: $phone-width) and (max-width: $desk-width - 1) {
		font-size: $base-font-size + 1;
	}
}
::-moz-selection, ::selection{
	background-color: $selected_bg_color;
}
a, a:visited{
	text-decoration: none;
	color: $link_color;
}

a:hover{
	color: $link_hover_color;
  -webkit-transition: all 0.2s ease;
  -moz-transition:    all 0.2s ease;
  -ms-transition:     all 0.2s ease;
  -o-transition:      all 0.2s ease;
  transition:      all 0.2s ease;
}

.site-grid{
	@extend %site-grid;
}

.site-hdr{
	@extend %auto-grid;
	grid-area: hd;
	background: $my_hdr_bg_color;
	padding: 0 .5rem 0 .5rem;
	border-bottom: 1px solid $alt_borders_color;
	a {
		color: $selected_fg_color;
	}
	a:hover {
		color: $link_hover_color;
	}
	.grid-left {
		@extend %auto-grid;
		justify-content: start;
	}
	.grid-right {
		@extend %auto-grid;
		justify-content: end;
	}
	.hdr-block{
		height: $xbig-g;
		.menu, .text, .logo{
			height: 100%;
			line-height: $xbig-g;
		}
		.text {
			color: $dark4;
			@media screen and (max-width: $tab-width) {
				display: none;
			}
		}
		.menu {
			@media screen and (max-width: $phone-width) {
				display: none;
	}
		}
		.menu-item {
			display: inline-block;
			padding: 0 .25em;
		}
		.logo{
			padding: 1rem .5rem 1rem 1rem;
			@media screen and (max-width: $lap-width){
				padding-left:16px;
			}
		}
		.navi{
			padding: .25rem;
			margin: 1.25rem .5rem;
			height: $xbig-g - (1.25rem * 2);
		}
	}
}

main {
	grid-area: mn;
	justify-self: center;
	max-width: 35rem;
	@media  screen and (min-width: $desk-width){
		max-width: 38rem;
	}
	margin: 1.5rem 0;
	padding: .5rem 0;
	.post{
		p {
		padding: 1rem 0 0 0;
		}
		img {
			padding: .6rem 0;
			width: 100%;
			height: auto;
		}
		border: 1px solid $borders_color;
		padding: 1rem;
		margin: 1rem 0;
		background: $base_color;
		.post-header a{
			color: $fg_color;
			&:hover {
				color: $link_hover_color;
			}
		}
		.post-desc{
			margin: 0 0 .6rem;
			color: $my_desc_color;
		}
		.meta {
			font-size: $code-font-size;
			color: $my_desc_color;
			h5 {
				margin-bottom: .3rem;
			}
	}
}
}

